<?php

namespace App\Http\Requests;

use App\Referensi;
use Gate;
use Illuminate\Foundation\Http\FormRequest;

class MassDestroyReferensiRequest extends FormRequest
{
    public function authorize()
    {
        return abort_if(Gate::denies('referensi_delete'), 403, '403 Forbidden') ?? true;
    }

    public function rules()
    {
        return [
            'ids'   => 'required|array',
            'ids.*' => 'exists:referensis,id',
        ];
    }
}
